Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot
Class HSBremen1

    java.lang.Object
      bot.Bot
          bot.HSBremen1

All Implemented Interfaces:
  IF_Bot_Talk

    public class HSBremen1

extends Bot

An example bot which implements its strategy in java.

Author:
  Witthold/Korol

Field Summary

Fields inherited from class bot.Bot
`buyin, equities, estimations, extFeeds, gameStorage, myname, proposals, random, state, talk`

Constructor Summary
`HSBremen1(java.lang.String config)` Creates a new instance of HSBremen1

Method Summary
`int[]` | `getBet()` Returns the actual bet, which is to be sent to the server.
`protected boolean` | `isPlayable()` The specific bot can decide, if he want to / can play this kind of game.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class bot.Bot
`addAction, addAction, endHand, endLastRound, gameOver, getBuyin, getName, getNumPlayers, getRandomBet, handleStateChange, newGame, newRound, printState, run, setBlinds, setBoardCards, setGetGamedef, setHand, setHoleCards, setNextActivePlayer, setPlayers, showdown, showdown, storeCompetitionEndData, storeCompetitionStartData, storeHandEndData, storeHandStartData, storeRoundEndData, storeRoundEndData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSBremen1

    public HSBremen1(java.lang.String config)

  Creates a new instance of HSBremen1

  Parameters:
    `config` - - bots configuration file, "default.config" if nothing is passed
  Throws:
    `java.io.FileNotFoundException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isPlayable

    protected boolean isPlayable()

  Description copied from class: `Bot`
  The specific bot can decide, if he want to / can play this kind of game.

  Specified by:
    `isPlayable` in class `Bot`

### getBet

    public int[] getBet()

  Description copied from class: `Bot`
  Returns the actual bet, which is to be sent to the server. The first integer represents the kind of the bet as defined in BetInt.java The second integer is only necessary when the amount is to be specified.

  Specified by:
    `getBet` in class `Bot`
  Returns:
    The calculated bet
  See Also:
    `BetInt`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD